com.taosdata.jdbc

## Enum TSDBError

- java.lang.Object
- - java.lang.Enum<TSDBError>
  - - com.taosdata.jdbc.TSDBError

All Implemented Interfaces:
  Serializable, Comparable<TSDBError>

    public enum TSDBError
    extends Enum<TSDBError>

TDengine error code and error message enumeration.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TSDB_CODE_ACCT_ALREADY_EXIST`
`TSDB_CODE_ACTION_IN_PROGRESS`
`TSDB_CODE_ACTION_NOT_BALANCED`
`TSDB_CODE_ACTION_NOT_ONLINE`
`TSDB_CODE_ACTION_SEND_FAILD`
`TSDB_CODE_ACTION_TRANS_NOT_FINISHED`
`TSDB_CODE_ALREADY_PROCESSED`
`TSDB_CODE_ALREADY_THERE`
`TSDB_CODE_APP_ERROR`
`TSDB_CODE_AUTH_FAILURE`
`TSDB_CODE_CLI_NO_DISKSPACE`
`TSDB_CODE_CLI_OUT_OF_MEMORY`
`TSDB_CODE_DATA_ALREADY_IMPORTED`
`TSDB_CODE_DATA_OVERFLOW`
`TSDB_CODE_DB_ALREADY_EXIST`
`TSDB_CODE_DB_NOT_SELECTED`
`TSDB_CODE_DISCONNECTED`
`TSDB_CODE_DNODE_ALREADY_EXIST`
`TSDB_CODE_FILE_CORRUPTED`
`TSDB_CODE_GRANT_EXPIRED`
`TSDB_CODE_GRANT_POINT_LIMITED`
`TSDB_CODE_INSERT_FAILED`
`TSDB_CODE_INVALID_ACCT`
`TSDB_CODE_INVALID_CLIENT_VERSION`
`TSDB_CODE_INVALID_CONNECTION`
`TSDB_CODE_INVALID_DB`
`TSDB_CODE_INVALID_IE`
`TSDB_CODE_INVALID_METER_ID`
`TSDB_CODE_INVALID_MSG_LEN`
`TSDB_CODE_INVALID_MSG_TYPE`
`TSDB_CODE_INVALID_OPTION`
`TSDB_CODE_INVALID_PASS`
`TSDB_CODE_INVALID_QHANDLE`
`TSDB_CODE_INVALID_QUERY_ID`
`TSDB_CODE_INVALID_RESPONSE_TYPE`
`TSDB_CODE_INVALID_SESSION_ID`
`TSDB_CODE_INVALID_SQL`
`TSDB_CODE_INVALID_STREAM_ID`
`TSDB_CODE_INVALID_TABLE`
`TSDB_CODE_INVALID_TIME_STAMP`
`TSDB_CODE_INVALID_TRAN_ID`
`TSDB_CODE_INVALID_USER`
`TSDB_CODE_INVALID_VALUE`
`TSDB_CODE_LAST_SESSION_NOT_FINISHED`
`TSDB_CODE_MAX_CONNECTIONS`
`TSDB_CODE_MAX_SESSIONS`
`TSDB_CODE_MEMORY_CORRUPTED`
`TSDB_CODE_METRICMETA_EXPIRED`
`TSDB_CODE_MISMATCHED_METER_ID`
`TSDB_CODE_MONITOR_DB_FORBEIDDEN`
`TSDB_CODE_NETWORK_UNAVAIL`
`TSDB_CODE_NO_ENOUGH_PNODES`
`TSDB_CODE_NO_MASTER`
`TSDB_CODE_NO_QSUMMARY`
`TSDB_CODE_NO_REMOVE_MASTER`
`TSDB_CODE_NO_RESOURCE`
`TSDB_CODE_NO_RESULT`
`TSDB_CODE_NO_RIGHTS`
`TSDB_CODE_NODE_OFFLINE`
`TSDB_CODE_NOT_ACTIVE_SESSION`
`TSDB_CODE_NOT_CONFIGURED`
`TSDB_CODE_NOT_READY`
`TSDB_CODE_OPS_NOT_SUPPORT`
`TSDB_CODE_OTHERS`
`TSDB_CODE_QUERY_CANCELLED`
`TSDB_CODE_REDIRECT`
`TSDB_CODE_RELATED_TABLES_EXIST`
`TSDB_CODE_SDB_ERROR`
`TSDB_CODE_SERV_OUT_OF_MEMORY`
`TSDB_CODE_SESSION_ALREADY_EXIST`
`TSDB_CODE_SUCCESS`
`TSDB_CODE_SYNC_REQUIRED`
`TSDB_CODE_TABLE_ALREADY_EXIST`
`TSDB_CODE_TOO_MANY_ACCTS`
`TSDB_CODE_TOO_MANY_DATABSES`
`TSDB_CODE_TOO_MANY_DNODES`
`TSDB_CODE_TOO_MANY_TABLES`
`TSDB_CODE_TOO_MANY_USERS`
`TSDB_CODE_TOO_SLOW`
`TSDB_CODE_UNEXPECTED_RESPONSE`
`TSDB_CODE_UNSYNCED`
`TSDB_CODE_USER_ALREADY_EXIST`
`TSDB_CODE_VG_COMMITLOG_INIT_FAILED`
`TSDB_CODE_VG_INIT_FAILED`
`TSDB_CODE_WRONG_MSG_SIZE`
`TSDB_CODE_WRONG_SCHEMA`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`long` `getErrCode()`
`String` `getErrMessage()`
`static String` `getErrMessageByCode(long errCode)`
`static TSDBError` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TSDBError[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TSDB_CODE_SUCCESS

    public static final TSDBError TSDB_CODE_SUCCESS

#### TSDB_CODE_ACTION_IN_PROGRESS

    public static final TSDBError TSDB_CODE_ACTION_IN_PROGRESS

#### TSDB_CODE_LAST_SESSION_NOT_FINISHED

    public static final TSDBError TSDB_CODE_LAST_SESSION_NOT_FINISHED

#### TSDB_CODE_INVALID_SESSION_ID

    public static final TSDBError TSDB_CODE_INVALID_SESSION_ID

#### TSDB_CODE_INVALID_TRAN_ID

    public static final TSDBError TSDB_CODE_INVALID_TRAN_ID

#### TSDB_CODE_INVALID_MSG_TYPE

    public static final TSDBError TSDB_CODE_INVALID_MSG_TYPE

#### TSDB_CODE_ALREADY_PROCESSED

    public static final TSDBError TSDB_CODE_ALREADY_PROCESSED

#### TSDB_CODE_AUTH_FAILURE

    public static final TSDBError TSDB_CODE_AUTH_FAILURE

#### TSDB_CODE_WRONG_MSG_SIZE

    public static final TSDBError TSDB_CODE_WRONG_MSG_SIZE

#### TSDB_CODE_UNEXPECTED_RESPONSE

    public static final TSDBError TSDB_CODE_UNEXPECTED_RESPONSE

#### TSDB_CODE_INVALID_RESPONSE_TYPE

    public static final TSDBError TSDB_CODE_INVALID_RESPONSE_TYPE

#### TSDB_CODE_NO_RESOURCE

    public static final TSDBError TSDB_CODE_NO_RESOURCE

#### TSDB_CODE_INVALID_TIME_STAMP

    public static final TSDBError TSDB_CODE_INVALID_TIME_STAMP

#### TSDB_CODE_MISMATCHED_METER_ID

    public static final TSDBError TSDB_CODE_MISMATCHED_METER_ID

#### TSDB_CODE_ACTION_TRANS_NOT_FINISHED

    public static final TSDBError TSDB_CODE_ACTION_TRANS_NOT_FINISHED

#### TSDB_CODE_ACTION_NOT_ONLINE

    public static final TSDBError TSDB_CODE_ACTION_NOT_ONLINE

#### TSDB_CODE_ACTION_SEND_FAILD

    public static final TSDBError TSDB_CODE_ACTION_SEND_FAILD

#### TSDB_CODE_NOT_ACTIVE_SESSION

    public static final TSDBError TSDB_CODE_NOT_ACTIVE_SESSION

#### TSDB_CODE_INSERT_FAILED

    public static final TSDBError TSDB_CODE_INSERT_FAILED

#### TSDB_CODE_APP_ERROR

    public static final TSDBError TSDB_CODE_APP_ERROR

#### TSDB_CODE_INVALID_IE

    public static final TSDBError TSDB_CODE_INVALID_IE

#### TSDB_CODE_INVALID_VALUE

    public static final TSDBError TSDB_CODE_INVALID_VALUE

#### TSDB_CODE_REDIRECT

    public static final TSDBError TSDB_CODE_REDIRECT

#### TSDB_CODE_ALREADY_THERE

    public static final TSDBError TSDB_CODE_ALREADY_THERE

#### TSDB_CODE_INVALID_METER_ID

    public static final TSDBError TSDB_CODE_INVALID_METER_ID

#### TSDB_CODE_INVALID_SQL

    public static final TSDBError TSDB_CODE_INVALID_SQL

#### TSDB_CODE_NETWORK_UNAVAIL

    public static final TSDBError TSDB_CODE_NETWORK_UNAVAIL

#### TSDB_CODE_INVALID_MSG_LEN

    public static final TSDBError TSDB_CODE_INVALID_MSG_LEN

#### TSDB_CODE_INVALID_DB

    public static final TSDBError TSDB_CODE_INVALID_DB

#### TSDB_CODE_INVALID_TABLE

    public static final TSDBError TSDB_CODE_INVALID_TABLE

#### TSDB_CODE_DB_ALREADY_EXIST

    public static final TSDBError TSDB_CODE_DB_ALREADY_EXIST

#### TSDB_CODE_TABLE_ALREADY_EXIST

    public static final TSDBError TSDB_CODE_TABLE_ALREADY_EXIST

#### TSDB_CODE_INVALID_USER

    public static final TSDBError TSDB_CODE_INVALID_USER

#### TSDB_CODE_INVALID_ACCT

    public static final TSDBError TSDB_CODE_INVALID_ACCT

#### TSDB_CODE_INVALID_PASS

    public static final TSDBError TSDB_CODE_INVALID_PASS

#### TSDB_CODE_DB_NOT_SELECTED

    public static final TSDBError TSDB_CODE_DB_NOT_SELECTED

#### TSDB_CODE_MEMORY_CORRUPTED

    public static final TSDBError TSDB_CODE_MEMORY_CORRUPTED

#### TSDB_CODE_USER_ALREADY_EXIST

    public static final TSDBError TSDB_CODE_USER_ALREADY_EXIST

#### TSDB_CODE_NO_RIGHTS

    public static final TSDBError TSDB_CODE_NO_RIGHTS

#### TSDB_CODE_DISCONNECTED

    public static final TSDBError TSDB_CODE_DISCONNECTED

#### TSDB_CODE_NO_MASTER

    public static final TSDBError TSDB_CODE_NO_MASTER

#### TSDB_CODE_NOT_CONFIGURED

    public static final TSDBError TSDB_CODE_NOT_CONFIGURED

#### TSDB_CODE_INVALID_OPTION

    public static final TSDBError TSDB_CODE_INVALID_OPTION

#### TSDB_CODE_NODE_OFFLINE

    public static final TSDBError TSDB_CODE_NODE_OFFLINE

#### TSDB_CODE_SYNC_REQUIRED

    public static final TSDBError TSDB_CODE_SYNC_REQUIRED

#### TSDB_CODE_NO_ENOUGH_PNODES

    public static final TSDBError TSDB_CODE_NO_ENOUGH_PNODES

#### TSDB_CODE_UNSYNCED

    public static final TSDBError TSDB_CODE_UNSYNCED

#### TSDB_CODE_TOO_SLOW

    public static final TSDBError TSDB_CODE_TOO_SLOW

#### TSDB_CODE_OTHERS

    public static final TSDBError TSDB_CODE_OTHERS

#### TSDB_CODE_NO_REMOVE_MASTER

    public static final TSDBError TSDB_CODE_NO_REMOVE_MASTER

#### TSDB_CODE_WRONG_SCHEMA

    public static final TSDBError TSDB_CODE_WRONG_SCHEMA

#### TSDB_CODE_NO_RESULT

    public static final TSDBError TSDB_CODE_NO_RESULT

#### TSDB_CODE_TOO_MANY_USERS

    public static final TSDBError TSDB_CODE_TOO_MANY_USERS

#### TSDB_CODE_TOO_MANY_DATABSES

    public static final TSDBError TSDB_CODE_TOO_MANY_DATABSES

#### TSDB_CODE_TOO_MANY_TABLES

    public static final TSDBError TSDB_CODE_TOO_MANY_TABLES

#### TSDB_CODE_TOO_MANY_DNODES

    public static final TSDBError TSDB_CODE_TOO_MANY_DNODES

#### TSDB_CODE_TOO_MANY_ACCTS

    public static final TSDBError TSDB_CODE_TOO_MANY_ACCTS

#### TSDB_CODE_ACCT_ALREADY_EXIST

    public static final TSDBError TSDB_CODE_ACCT_ALREADY_EXIST

#### TSDB_CODE_DNODE_ALREADY_EXIST

    public static final TSDBError TSDB_CODE_DNODE_ALREADY_EXIST

#### TSDB_CODE_SDB_ERROR

    public static final TSDBError TSDB_CODE_SDB_ERROR

#### TSDB_CODE_METRICMETA_EXPIRED

    public static final TSDBError TSDB_CODE_METRICMETA_EXPIRED

#### TSDB_CODE_NOT_READY

    public static final TSDBError TSDB_CODE_NOT_READY

#### TSDB_CODE_MAX_SESSIONS

    public static final TSDBError TSDB_CODE_MAX_SESSIONS

#### TSDB_CODE_MAX_CONNECTIONS

    public static final TSDBError TSDB_CODE_MAX_CONNECTIONS

#### TSDB_CODE_SESSION_ALREADY_EXIST

    public static final TSDBError TSDB_CODE_SESSION_ALREADY_EXIST

#### TSDB_CODE_NO_QSUMMARY

    public static final TSDBError TSDB_CODE_NO_QSUMMARY

#### TSDB_CODE_SERV_OUT_OF_MEMORY

    public static final TSDBError TSDB_CODE_SERV_OUT_OF_MEMORY

#### TSDB_CODE_INVALID_QHANDLE

    public static final TSDBError TSDB_CODE_INVALID_QHANDLE

#### TSDB_CODE_RELATED_TABLES_EXIST

    public static final TSDBError TSDB_CODE_RELATED_TABLES_EXIST

#### TSDB_CODE_MONITOR_DB_FORBEIDDEN

    public static final TSDBError TSDB_CODE_MONITOR_DB_FORBEIDDEN

#### TSDB_CODE_VG_COMMITLOG_INIT_FAILED

    public static final TSDBError TSDB_CODE_VG_COMMITLOG_INIT_FAILED

#### TSDB_CODE_VG_INIT_FAILED

    public static final TSDBError TSDB_CODE_VG_INIT_FAILED

#### TSDB_CODE_DATA_ALREADY_IMPORTED

    public static final TSDBError TSDB_CODE_DATA_ALREADY_IMPORTED

#### TSDB_CODE_OPS_NOT_SUPPORT

    public static final TSDBError TSDB_CODE_OPS_NOT_SUPPORT

#### TSDB_CODE_INVALID_QUERY_ID

    public static final TSDBError TSDB_CODE_INVALID_QUERY_ID

#### TSDB_CODE_INVALID_STREAM_ID

    public static final TSDBError TSDB_CODE_INVALID_STREAM_ID

#### TSDB_CODE_INVALID_CONNECTION

    public static final TSDBError TSDB_CODE_INVALID_CONNECTION

#### TSDB_CODE_ACTION_NOT_BALANCED

    public static final TSDBError TSDB_CODE_ACTION_NOT_BALANCED

#### TSDB_CODE_CLI_OUT_OF_MEMORY

    public static final TSDBError TSDB_CODE_CLI_OUT_OF_MEMORY

#### TSDB_CODE_DATA_OVERFLOW

    public static final TSDBError TSDB_CODE_DATA_OVERFLOW

#### TSDB_CODE_QUERY_CANCELLED

    public static final TSDBError TSDB_CODE_QUERY_CANCELLED

#### TSDB_CODE_GRANT_POINT_LIMITED

    public static final TSDBError TSDB_CODE_GRANT_POINT_LIMITED

#### TSDB_CODE_GRANT_EXPIRED

    public static final TSDBError TSDB_CODE_GRANT_EXPIRED

#### TSDB_CODE_CLI_NO_DISKSPACE

    public static final TSDBError TSDB_CODE_CLI_NO_DISKSPACE

#### TSDB_CODE_FILE_CORRUPTED

    public static final TSDBError TSDB_CODE_FILE_CORRUPTED

#### TSDB_CODE_INVALID_CLIENT_VERSION

    public static final TSDBError TSDB_CODE_INVALID_CLIENT_VERSION

### Method Detail

#### values

    public static TSDBError[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TSDBError c : TSDBError.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TSDBError valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getErrCode

    public long getErrCode()

#### getErrMessage

    public String getErrMessage()

#### getErrMessageByCode

    public static String getErrMessageByCode(long errCode)